<?php
/**
 * @brief		Yandex.OAuth authorization
 * @author		https://invisionbyte.ru
 * @copyright	(c) https://invisionbyte.ru
 */

define('REPORT_EXCEPTIONS', TRUE);
require_once str_replace( 'applications/yandexoauth/interface/yandexoauth/auth.php', '', str_replace( '\\', '/', __FILE__ ) ) . 'init.php';

$target = \IPS\Http\Url::internal( 'oauth/callback/', 'none' );

foreach ( array( 'code', 'state', 'scope', 'error', 'error_description', 'error_uri' ) as $k )
{
	if ( isset( \IPS\Request::i()->$k ) )
	{
		$target = $target->setQueryString( $k, \IPS\Request::i()->$k );
	}
}

\IPS\Output::i()->redirect( $target );
